﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source files">
      <UniqueIdentifier>{aa3d8437-3936-4555-a446-884773c1b933}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header files">
      <UniqueIdentifier>{1a2986aa-1010-4bc3-a699-2dff014dbd04}</UniqueIdentifier>
      <Extensions>h;hpp;hxx;hm;inl;inc;xsd</Extensions>
    </Filter>
    <Filter Include="Resource files">
      <UniqueIdentifier>{54f3ac55-1291-49c1-a21d-1d09a1bde51f}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav</Extensions>
    </Filter>
    <Filter Include="Make files">
      <UniqueIdentifier>{e59032c7-c810-4b2f-82ef-deba222ca8c7}</UniqueIdentifier>
      <Extensions>*.mak</Extensions>
    </Filter>
    <Filter Include="VisualGDB settings">
      <UniqueIdentifier>{bec16d2e-4a35-4dda-817a-9a8994c0ec7e}</UniqueIdentifier>
      <Extensions>*.vgdbsettings</Extensions>
    </Filter>
    <Filter Include="Source files\Device-specific files">
      <UniqueIdentifier>{8548a21c-8b28-4fd9-af99-b4b765b0cdc2}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header files\API">
      <UniqueIdentifier>{b49bee71-1a86-452a-916e-10780d6ffcd9}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header files\Application">
      <UniqueIdentifier>{069c0331-8d35-4060-ae58-be448bc68b43}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header files\SystemCore">
      <UniqueIdentifier>{1c537a8e-bebe-44f2-bc48-bd17209546e1}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header files\SPL">
      <UniqueIdentifier>{7b468a2d-4865-4e01-9a5c-86a139ea698c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header files\Library">
      <UniqueIdentifier>{5dfd40e5-a0c5-4c4d-a853-5783d4f6f892}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header files\cmsis">
      <UniqueIdentifier>{b02a67d1-2ea2-410c-8bb6-f533fdddc7f5}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source files\API">
      <UniqueIdentifier>{e979c6e6-2755-43c7-a21e-f9946e7a2212}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source files\Application">
      <UniqueIdentifier>{5a46b158-752b-469a-b606-a913e72c2327}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source files\SystemCore">
      <UniqueIdentifier>{fe906803-af41-483c-a2f7-822976bb5423}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source files\Library">
      <UniqueIdentifier>{2fa3cb6a-7f1c-4364-a8c6-b4ad147dbff1}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source files\SPL">
      <UniqueIdentifier>{8a602cb9-572e-4086-a572-1504b7fe84f1}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="C:\Users\andre\AppData\Local\VisualGDB\EmbeddedBSPs\arm-eabi\com.sysprogs.arm.stm32\STM32F4xxxx\StartupFiles\startup_stm32f407xx.c">
      <Filter>Source files\Device-specific files</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\ADC.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\DAC.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\Flash.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\GPIO.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\RTC.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\SPI.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\Timer.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\USART.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\API\src\Watchdog.c">
      <Filter>Source files\API</Filter>
    </ClCompile>
    <ClCompile Include="..\..\Application\src\application.c">
      <Filter>Source files\Application</Filter>
    </ClCompile>
    <ClCompile Include="..\..\Library\src\Debug.c">
      <Filter>Source files\Library</Filter>
    </ClCompile>
    <ClCompile Include="..\..\Library\src\hw_signal_read.c">
      <Filter>Source files\Library</Filter>
    </ClCompile>
    <ClCompile Include="..\..\Library\src\TRF7970A.c">
      <Filter>Source files\Library</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\misc.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_adc.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_dac.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_dbgmcu.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_dma.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_dma2d.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_exti.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_flash.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_flash_ramfunc.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_gpio.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_i2c.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_iwdg.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_pwr.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_rtc.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_sdio.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_spi.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_syscfg.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_tim.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_usart.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_wwdg.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SystemCore\src\main.c">
      <Filter>Source files\SystemCore</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SystemCore\src\stm32f4xx_it.c">
      <Filter>Source files\SystemCore</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SystemCore\src\system_stm32f4xx.c">
      <Filter>Source files\SystemCore</Filter>
    </ClCompile>
    <ClCompile Include="..\..\SPL\src\stm32f4xx_rcc.c">
      <Filter>Source files\SPL</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <None Include="Makefile" />
    <None Include="debug.mak">
      <Filter>Make files</Filter>
    </None>
    <None Include="STM32F4xx_OS-Debug.vgdbsettings">
      <Filter>VisualGDB settings</Filter>
    </None>
    <None Include="release.mak">
      <Filter>Make files</Filter>
    </None>
    <None Include="STM32F4xx_OS-Release.vgdbsettings">
      <Filter>VisualGDB settings</Filter>
    </None>
    <None Include="stm32.mak">
      <Filter>Source files\Device-specific files</Filter>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Xml Include="stm32.xml">
      <Filter>VisualGDB settings</Filter>
    </Xml>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\API\inc\ADC.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\API.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\DAC.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\errno.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\Flash.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\GPIO.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\PerUsings.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\RTC.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\SPI.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\Timer.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\USART.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\API\inc\Watchdog.h">
      <Filter>Header files\API</Filter>
    </ClInclude>
    <ClInclude Include="..\..\Application\inc\application.h">
      <Filter>Header files\Application</Filter>
    </ClInclude>
    <ClInclude Include="..\..\Library\inc\Debug.h">
      <Filter>Header files\Library</Filter>
    </ClInclude>
    <ClInclude Include="..\..\Library\inc\DebugOpt.h">
      <Filter>Header files\Library</Filter>
    </ClInclude>
    <ClInclude Include="..\..\Library\inc\hw_signal_read.h">
      <Filter>Header files\Library</Filter>
    </ClInclude>
    <ClInclude Include="..\..\Library\inc\Library.h">
      <Filter>Header files\Library</Filter>
    </ClInclude>
    <ClInclude Include="..\..\Library\inc\LibUsings.h">
      <Filter>Header files\Library</Filter>
    </ClInclude>
    <ClInclude Include="..\..\Library\inc\TRF7970A.h">
      <Filter>Header files\Library</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\arm_common_tables.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\arm_const_structs.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\arm_math.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cm0.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cm0plus.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cm3.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cm4.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cm7.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cmFunc.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cmInstr.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_cmSimd.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_sc000.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\cmsis\core_sc300.h">
      <Filter>Header files\cmsis</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\misc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_adc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_can.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_cec.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_crc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_cryp.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_dac.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_dbgmcu.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_dcmi.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_dfsdm.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_dma.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_dma2d.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_dsi.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_exti.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_flash.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_flash_ramfunc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_fmc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_fmpi2c.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_fsmc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_gpio.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_hash.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_i2c.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_iwdg.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_lptim.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_ltdc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_pwr.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_qspi.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_rcc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_rng.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_rtc.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_sai.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_sdio.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_spdifrx.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_spi.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_syscfg.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_tim.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_usart.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SPL\inc\stm32f4xx_wwdg.h">
      <Filter>Header files\SPL</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SystemCore\inc\main.h">
      <Filter>Header files\SystemCore</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SystemCore\inc\mcu.h">
      <Filter>Header files\SystemCore</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SystemCore\inc\stm32f4xx.h">
      <Filter>Header files\SystemCore</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SystemCore\inc\stm32f4xx_conf.h">
      <Filter>Header files\SystemCore</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SystemCore\inc\stm32f4xx_it.h">
      <Filter>Header files\SystemCore</Filter>
    </ClInclude>
    <ClInclude Include="..\..\SystemCore\inc\system_stm32f4xx.h">
      <Filter>Header files\SystemCore</Filter>
    </ClInclude>
  </ItemGroup>
</Project>